SplopSpaceMorph why doesn't work?

Hi, dear
I’m trying to use SplopSpaceMorph to modify a brep. But it doesn’t work even ssm.Morph(cBrep) is true. I just got a new brep without morph.

 double surWidth = 0;
            double surHeight = 0;
            sur.GetSurfaceSize(out surWidth, out surHeight);

            BoundingBox box = brep.GetBoundingBox(true);
            Plane boxPlane = Plane.WorldXY;
            boxPlane.Origin = box.Center;

            SplopSpaceMorph ssm = new SplopSpaceMorph(boxPlane, sur, new Point2d(surWidth / 2, surHeight / 2));
            ssm.PreserveStructure = false;
            ssm.QuickPreview = false;
          
            Brep cBrep = brep.DuplicateBrep();
            ssm.Morph(cBrep);
            doc.Objects.AddBrep(cBrep);             

hi point2d in SplopSpaceMorph must be {uvPoint} in Surface so 0<uv.X<1 and 0<uv.Y<1


    var d = new Interval(0, 1);
    surface.SetDomain(0, d);
    surface.SetDomain(1, d);
    var splop = new Rhino.Geometry.Morphs.SplopSpaceMorph(plane, surface, new Point2d(0.5, 0.5), scale, angle);
    splop.PreserveStructure = false;
    splop.QuickPreview = false;
    var g = geo.Duplicate();
    splop.Morph(g);
    A = g;
    RhinoDocument.Objects.Add(g);

Thanks! It’s solved!